# disable debuginfo package
%define debug_package %{nil}

Summary:   Dynamic MTA logfile analyser.
Name:      anteater
Version:   0.4.1
Release:   1
License:   GPL
Vendor:    Tobias Erbsland <te@profzone.ch>
Url:       http://anteater.drzoom.ch
Packager:  Milan Kerslager <kerslage@linux.cz>
Group:     Applications/Internet
Source:    anteater-%{version}.tar.bz2
Patch0:    anteater-0.4.1-fixman
Buildroot: %{_tmppath}/%{name}-root

%description
Anteater is a MTA loganalyser written 100% in C++. A filter for
sendmail logfiles in the default syslog format exists already. It's very
easy to add new modules for reporting, analysis or filtering.
Anteater is a dynamic MTA logfile analyser.

%prep
%setup -q
%patch -p1 -b .fixman
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                --with-debug \
                $LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
# we need to install to /usr/bin - changing default prefix from /usr/local to /usr
# _bindir use _usr as prefix so we are correct here
make install-strip DESTDIR=$RPM_BUILD_ROOT prefix=%{_usr} mandir=%{_mandir}
# commpres the man page
gzip -f -9 $RPM_BUILD_ROOT/%{_mandir}/man1/anteater.1

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-root


%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_bindir}/anteater
%{_mandir}/man1/anteater.1.gz

%changelog
* Sun May 18 2003 Milan Kerslager <kerslage@Linux.cz>
- initial release for RH 9
- SPEC file from http://anteater.drzoom.ch
- fixes to SPEC file (using macros everywhere to allow build on older systems too):
    - changing directory with binaries to /usr/bin (prefix)
    - changing mandir to /usr/share/man
    - package could not own system-wide directories
    - COPYING and AUTHORS added to the doc directory
